phpmyadmin #1932 Error

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

phpmyadmin #1932 Error

Postby gin » 14. November 2015 00:11

Hello all,

I have just installed XAMPP for Mac OSx 10.10.5. The windows version is totally fine, however, phpmyadmin mac verision gives me an error (#1932) when I want to write a table. I have no idea what is "table doesn't exist in engine". Does anybody have the same problem?

#1932 - Table 'phpmyadmin.pma__column_info' doesn't exist in engine
Cheers!
[img]/1932_problem.png[/img]
gin
 
Posts: 1
Joined: 14. November 2015 00:03
Operating System: Mac OSx 10.10.5

Re: phpmyadmin #1932 Error

Postby crwh05 » 16. November 2015 11:35

I there, I have the same problem too. I upgraded to an SSD and clean installed OSX 10.9.5. When I installed XAMPP 5.6.14 and tried to access any of the tables on phpmyadmin I cannot and it brings up the error you have said too.
crwh05
 
Posts: 1
Joined: 16. November 2015 11:31
Operating System: OSX 10.9.5

Re: phpmyadmin #1932 Error

Postby ningensei » 16. November 2015 18:42

I tried running xampp in 2 different OSX 10.10.5 and had the same issue you described.

------
I found these possible solutions but didn't work..

http://stackoverflow.com/questions/24055394/1146-table-phpmyadmin-pma-tracking-doesnt-exist
http://stackoverflow.com/questions/20731487/phpmyadmin-pma-table-uiprefs-doesnt-exist
------

I tried to reinstall phpmyadmin in different versions. And even with older XAMPP versions.

Still, no case.
ningensei
 
Posts: 1
Joined: 16. November 2015 18:36
Operating System: Mac OS X

Re: phpmyadmin #1932 Error

Postby flournnoi » 18. November 2015 05:34

I am also having this issue on OS X 10.11.1 -- I installed the newest XAMPP (5.6) release because of issues with MariaDB/MySQL when adding a user to a database in version 5.5 (the previous release before this most up to date version recently released). On version 5.5, there were syntax bugs with adding users so I upgraded to 5.6 only to find this more serious issue.

I have installed version 5.6 two times, the last time I cleared cache in my browsers and tried to add a database in PHPmyAdmin after making no configuration changes or tweaks to the base XAMPP install. This most recent attempt to install it, I left MySQL without a root user password to avoid making any configuration changes. I can't seem to find any information on the internet about resolving this specific issue. At this time, no databases can be added -- trying to access any of the stock databases on PHPmyadmin, including "test" results in the same error message: #1932 - Table 'phpmyadmin.pma__column_info' doesn't exist in engine.

If I add a database, I also get the same #1932 message. The database does not show up, but the next time I log in it is listed among the databases on the left-hand pane. After it is clicked, however, a "loading..." message comes up and it never loads.

This is with PHP 5.6.1.4 and MariaDB 10.1.8 . The 5.5.3 release, which I was also running on 10.11.1, was allowing database access normally.

Thanks in advance for any help
flournnoi
 
Posts: 3
Joined: 18. November 2015 05:20
Operating System: OS X 10.11.1

Re: phpmyadmin #1932 Error

Postby flournnoi » 18. November 2015 06:59

Reposting to clarify versions. So the most recent release on November 13th -- 5.5.30 and 5.6.14 are exhibiting the same problems for me. The version that I had installed previously, and the one in which the databases appeared to at least be opening correctly, was 5.5.28. To resolve both user account issues and database problems, I have temporarily installed 5.5.24 until issues are resolved with the newest version. Unfortunately, I have a class assignment using this and have to get it running ASAP.

5.5.24 and other older versions of XAMPP are available here: http://sourceforge.net/projects/xampp/files/
flournnoi
 
Posts: 3
Joined: 18. November 2015 05:20
Operating System: OS X 10.11.1

Re: phpmyadmin #1932 Error

Postby Nobbie » 18. November 2015 11:42

flournnoi wrote:Unfortunately, I have a class assignment using this and have to get it running ASAP.


Either use on older Xampp or switch over to Linux, it runs without an hassle on Linux. If you have no hardware for a linux machine, you may use VirtualBox instead.
Nobbie
 
Posts: 8770
Joined: 09. March 2008 13:04

Re: phpmyadmin #1932 Error

Postby flournnoi » 18. November 2015 17:12

Switching to 5.5.24 resolved the issues I was having and the server is running. By switching to a lower version, do you recommend switching to a version below 5.5.24 for OS X?

I don't know how to address the linux point -- this is a thread dedicated to OS X and Apache Friends releases XAMPP for OS X. Telling me to "use Linux" to resolve OS X issues is bypassing a supportive response.
flournnoi
 
Posts: 3
Joined: 18. November 2015 05:20
Operating System: OS X 10.11.1

Re: phpmyadmin #1932 Error

Postby Nobbie » 18. November 2015 22:12

flournnoi wrote:Telling me to "use Linux" to resolve OS X issues is bypassing a supportive response.


Unfortunately, you neither paid for any support, nor asked a professionial supporter. I am a user like you, nothing else. I gave you a hint, it is on you, to work it out. No problem, if you dont want. You are in a hurry, not me. Wait for supportive response instead. Take your time, wait for a working OSX version.
Nobbie
 
Posts: 8770
Joined: 09. March 2008 13:04

Re: phpmyadmin #1932 Error

Postby borko » 20. November 2015 18:59

Just to add to the list of users experiencing this problem--I'm running XAMPP 5.6.14-3 on OS X 10.11.1. Using the Windows version in a virtual machine hasn't been an issue.
borko
 
Posts: 2
Joined: 20. November 2015 18:57
Operating System: OS X 10.11.1

Re: phpmyadmin #1932 Error

Postby hatted » 21. November 2015 04:49

Same problem here.
I want to use Drupal 8 and it requires op_cache in PHP. I found XAMPP new version has built-in op-cache so I upgraded the XAMPP in my Mac 10.11.1 to the latest XAMPP 5.6.14-4 version. However, when I add a new database or drop a database, I got an error.

1932 - Table 'phpmyadmin.pma__column_info' doesn't exist in engine

May I know how to fix it?
hatted
 
Posts: 3
Joined: 16. June 2014 03:26
Operating System: MAC

Re: phpmyadmin #1932 Error

Postby hatted » 21. November 2015 07:05

I tried XAMPP 5.5.30-4 and also get the same problem.
hatted
 
Posts: 3
Joined: 16. June 2014 03:26
Operating System: MAC

Re: phpmyadmin #1932 Error

Postby Altrea » 21. November 2015 10:25

We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8293
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: phpmyadmin #1932 Error

Postby candidosa2 » 06. December 2015 05:20

yes iam downgrade
but i lost my website data base
5.5.24 and other older versions of XAMPP are available here: http://sourceforge.net/projects/xampp/files/
but now work fine
thank you
Hosting By Aplic
candidosa2
 
Posts: 1
Joined: 06. December 2015 03:56
Location: Maputo
Operating System: MacOS - El Captitan


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 3 guests